If the gf_methods was not found, the test would silently succeed doing
nothing. Check for existence and fail if it is not in the path.
Signed-off-by: Loic Dachary <loic@dachary.org>
-#
+#!/bin/bash
#
# Copyright (c) 2013, James S. Plank and Kevin Greenan
# All rights reserved.
m=3
seed=1370
+if ! test -x ${GF_METHODS} ; then
+ ${GF_METHODS}
+ exit 1
+fi
+
# Test all w=8
${GF_METHODS} 8 -B -L | awk -F: '{ if ($1 == "w=8") print $2; }' |
while read method; do